[RFC PATCH 6/9] mkimage_fit_atf.sh: produce working binaries by default

Petr Štetiar ynezz at true.cz
Wed Mar 18 10:57:53 CET 2020


At this moment unusable binaries are produced if bl31.bin file is
missing in order to allow passing of various CI tests. This intention of
broken binaries has to be now explicitly confirmed via new
BUILDBOT_BROKEN_BINARIES config option, so usable binaries are produced
by default from now on.

Signed-off-by: Petr Štetiar <ynezz at true.cz>
---
 arch/arm/mach-zynqmp/mkimage_fit_atf.sh | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

diff --git a/arch/arm/mach-zynqmp/mkimage_fit_atf.sh b/arch/arm/mach-zynqmp/mkimage_fit_atf.sh
index 1e770ba111d3..5effe05abdee 100755
--- a/arch/arm/mach-zynqmp/mkimage_fit_atf.sh
+++ b/arch/arm/mach-zynqmp/mkimage_fit_atf.sh
@@ -29,11 +29,15 @@ else
 fi
 
 if [ ! -f $BL31 ]; then
-	echo "WARNING: BL31 file $BL31 NOT found, resulting binary is non-functional" >&2
-	BL31=/dev/null
-	# But U-Boot proper could be loaded in EL3 by specifying
-	# firmware = "uboot";
-	# instead of "atf" in config node
+	if [ "$BUILDBOT_BROKEN_BINARIES" = "y" ]; then
+		BL31=/dev/null
+		# But U-Boot proper could be loaded in EL3 by specifying
+		# firmware = "uboot";
+		# instead of "atf" in config node
+	else
+		echo "ERROR: BL31 file $BL31 NOT found, resulting binary is non-functional" >&2
+		exit 1
+	fi
 fi
 
 cat << __HEADER_EOF


More information about the U-Boot mailing list